# GET /voices

**Resource:** [Voices](./voices.md)  
**Scopes:** `voices:read`  
**Write operation:** no

List all voices -- workspace-saved voices (source: "workspace") and platform-recommended voices (source: "platform"). Workspace voices appear first, then platform voices sorted by sort_order.

## Response example

```json
{
  "data": {
    "voices": [
      {
        "id": "uuid",
        "name": "Ruby Roo",
        "provider": "elevenlabs",
        "provider_voice_id": "b8gbDO0ybjX1VA89pBdX",
        "preview_url": "https://...mp3",
        "model": "eleven_multilingual_v2",
        "settings": {
          "stability": 0.6,
          "similarity_boost": 0.75,
          "style": 0.4
        },
        "is_default": false,
        "description": null,
        "source": "workspace"
      },
      {
        "id": "uuid",
        "name": "Jessica",
        "provider": "elevenlabs",
        "provider_voice_id": "cgSgspJ2msm6clMCkdW9",
        "preview_url": "https://...mp3",
        "model": "eleven_multilingual_v2",
        "settings": null,
        "is_default": false,
        "description": "Playful, bright, warm female voice",
        "source": "platform"
      }
    ],
    "total": 2
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`